Bug 270554 - Import Wizard: Rename options filename with timestamp
Summary: Import Wizard: Rename options filename with timestamp
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: AdvancedRename (show other bugs)
Version: 1.4.0
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-10 07:44 UTC by f.wozak
Modified: 2012-06-27 10:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description f.wozak 2011-04-10 07:44:34 UTC
Version:           1.4.0 (using KDE 4.5.1) 
OS:                Linux

The import wizard should have an option to use the UNIX timestamp as pattern for the file renaming options. An accuracy in milliseconds would be perfect

Reproducible: Didn't try

Steps to Reproduce:
No steps to reproduce - feature request

Actual Results:  
There is no "timestamp" option under file renaming options

Expected Results:  
Option to use "timestamp" for file renaming as a pattern for the new filename

OS: Linux (i686) release 2.6.35-28-generic
Compiler: cc
Comment 1 caulier.gilles 2011-04-10 09:45:16 UTC
If i not too wrong, Andy has fixed some feature with last 1.9.0 release. Please take a look in this version...

Gilles Caulier
Comment 2 Andi Clemens 2011-04-10 10:26:50 UTC
Yes, this was fixed in 1.6 or so...
Comment 3 Andi Clemens 2011-04-10 10:33:41 UTC
Oops wrong bugreport :-)
A timestamp option should be in 1.4, too.
The custom format string (see http://doc.trolltech.com/latest/qdatetime.html#toString) isn't enough?
What should be added exactly to fit your needs?
Comment 4 Andi Clemens 2011-04-10 10:39:39 UTC
Do you want a unix timestamp like this:
1302425061

If so, this could be added quite easily for the next version.
Comment 5 Andi Clemens 2011-04-10 12:26:53 UTC
Git commit f0efd89ce713605743d3837b966bedec63017561 by Andi Clemens.
Committed on 10/04/2011 at 12:31.
Pushed by aclemens into branch 'master'.

Add UnixTimeStamp format to the date renaming option

CCBUG: 270554

M  +65   -18   utilities/advancedrename/parser/options/dateoption.cpp     
M  +5    -3    utilities/advancedrename/parser/options/dateoption.h     

http://commits.kde.org/digikam/f0efd89ce713605743d3837b966bedec63017561
Comment 6 Andi Clemens 2011-04-10 13:01:31 UTC
The method QDateTime::toMSecsSinceEpoch is only available for Qt 4.7 and
higher.
We need to remove the code from sources compiles for older Qt versions.
 
M  +12   -0    utilities/advancedrename/parser/options/dateoption.cpp     
M  +2    -0    utilities/advancedrename/parser/options/dateoption.h     
 
http://commits.kde.org/digikam/0e632d2db28d01fb827ecd4939713e62d37263b7